- Qt 5.15
- Qt Help
- C++ Classes
- QHelpIndexWidget
- Qt 5.15.19 Reference Documentation

# QHelpIndexWidget Class

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel. More...

Header: | #include <QHelpIndexWidget>
qmake: | QT += help
Since: | Qt 4.4
Inherits: | QListView

This class was introduced in Qt 4.4.

- List of all members, including inherited members
- Obsolete members

## Public Slots

void | activateCurrentItem()
void | filterIndices(const QString &filter, const QString &wildcard = QString())

## Signals

void | documentActivated(const QHelpLink &document, const QString &keyword)
void | documentsActivated(const QList<QHelpLink> &documents, const QString &keyword)

## Detailed Description

## Member Function Documentation

### `[slot]` void QHelpIndexWidget::activateCurrentItem()

Activates the current item which will result eventually in the emitting of a linkActivated() or linksActivated() signal.

### `[signal]` void QHelpIndexWidget::documentActivated(const QHelpLink &document, const QString &keyword)

This signal is emitted when an item is activated and its associated document should be shown. To know where the link belongs to, the keyword is given as a second parameter.

This function was introduced in Qt 5.15.

### `[signal]` void QHelpIndexWidget::documentsActivated(const QList<QHelpLink> &documents, const QString &keyword)

This signal is emitted when the item representing the keyword is activated and the item has more than one document associated. The documents consist of the document titles and their URLs.

This function was introduced in Qt 5.15.

### `[slot]` void QHelpIndexWidget::filterIndices(const QString &filter, const QString &wildcard = QString())

Filters the indices according to filter or wildcard. The item with the best match is set as current item.

See also QHelpIndexModel::filter().